Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.GGG
Class GGG_Msg

    java.lang.Object
      warbot.GGG.GGG_Msg

    public class GGG_Msg

extends java.lang.Object

Field Summary
`double` | `arg1`
`double` | `arg2`
`static java.lang.String` | `GROUPE_ESCOUADE_x`
`static int` | `MSG_AFFECTATION`
`static int` | `MSG_AFFECTE`
`static int` | `MSG_ATTAQUER_MOBILE`
`static int` | `MSG_AU_RAPPORT`
`static int` | `MSG_DETRUIT`
`static int` | `MSG_ENNEMI_EX`
`static int` | `MSG_ENNEMI_HOME`
`static int` | `MSG_ENNEMI_RL`
`static int` | `MSG_MORT`
`static int` | `MSG_PERDU`
`static int` | `MSG_POSITION`
`static int` | `MSG_PRES_EX`
`static int` | `MSG_PRES_HOME`
`static int` | `MSG_PRES_RL`
`static int` | `MSG_PRES_SERGENT`
`static int` | `MSG_PRES_SOLDAT`
`static int` | `MSG_RASSEMBLE`
`static int` | `MSG_RASSEMBLEMENT`
`static int` | `MSG_REJOINDRE_POINT`
`static java.lang.String[]` | `MSG_STR`
`static int` | `MSG_SUIVRE`
`int` | `msgId`
`static AgentAddress` | `MULTIPLE`
`static int` | `NBR_MSG`
`static int` | `NBR_TYPE_MSG`
`static int` | `REP_PRES_EX`
`static int` | `REP_PRES_HOME`
`static int` | `REP_PRES_RL`
`AgentAddress` | `sender`
`double` | `senderX`
`double` | `senderY`
`static java.lang.String` | `STR_ALL_GROUPS`
`static java.lang.String` | `STR_ALL_ROLES`
`int` | `type`
`static int` | `TYPE_MSG_ANNONCE`
`static int` | `TYPE_MSG_ORDRE`
`static int` | `TYPE_MSG_REQUETE`
`static java.lang.String[]` | `TYPE_MSG_STR`

Constructor Summary
`GGG_Msg()`
`GGG_Msg(AgentAddress dest, int msgRole, int msgGroupe, int id, double msgArg1, double msgArg2, int msgType)`
`GGG_Msg(WarbotMessage wm)`

Method Summary
`void` | `send(Brain wb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTIPLE

    public static final AgentAddress MULTIPLE

### STR_ALL_GROUPS

    public static final java.lang.String STR_ALL_GROUPS

See Also:
  Constant Field Values

### STR_ALL_ROLES

    public static final java.lang.String STR_ALL_ROLES

See Also:
  Constant Field Values

### GROUPE_ESCOUADE_x

    public static final java.lang.String GROUPE_ESCOUADE_x

See Also:
  Constant Field Values

### TYPE_MSG_ANNONCE

    public static final int TYPE_MSG_ANNONCE

See Also:
  Constant Field Values

### TYPE_MSG_REQUETE

    public static final int TYPE_MSG_REQUETE

See Also:
  Constant Field Values

### TYPE_MSG_ORDRE

    public static final int TYPE_MSG_ORDRE

See Also:
  Constant Field Values

### NBR_TYPE_MSG

    public static final int NBR_TYPE_MSG

See Also:
  Constant Field Values

### TYPE_MSG_STR

    public static java.lang.String[] TYPE_MSG_STR

### MSG_PRES_HOME

    public static final int MSG_PRES_HOME

See Also:
  Constant Field Values

### MSG_PRES_RL

    public static final int MSG_PRES_RL

See Also:
  Constant Field Values

### MSG_PRES_EX

    public static final int MSG_PRES_EX

See Also:
  Constant Field Values

### REP_PRES_HOME

    public static final int REP_PRES_HOME

See Also:
  Constant Field Values

### REP_PRES_RL

    public static final int REP_PRES_RL

See Also:
  Constant Field Values

### REP_PRES_EX

    public static final int REP_PRES_EX

See Also:
  Constant Field Values

### MSG_ENNEMI_RL

    public static final int MSG_ENNEMI_RL

See Also:
  Constant Field Values

### MSG_AFFECTATION

    public static final int MSG_AFFECTATION

See Also:
  Constant Field Values

### MSG_RASSEMBLEMENT

    public static final int MSG_RASSEMBLEMENT

See Also:
  Constant Field Values

### MSG_RASSEMBLE

    public static final int MSG_RASSEMBLE

See Also:
  Constant Field Values

### MSG_PERDU

    public static final int MSG_PERDU

See Also:
  Constant Field Values

### MSG_AU_RAPPORT

    public static final int MSG_AU_RAPPORT

See Also:
  Constant Field Values

### MSG_PRES_SERGENT

    public static final int MSG_PRES_SERGENT

See Also:
  Constant Field Values

### MSG_MORT

    public static final int MSG_MORT

See Also:
  Constant Field Values

### MSG_DETRUIT

    public static final int MSG_DETRUIT

See Also:
  Constant Field Values

### MSG_POSITION

    public static final int MSG_POSITION

See Also:
  Constant Field Values

### MSG_ATTAQUER_MOBILE

    public static final int MSG_ATTAQUER_MOBILE

See Also:
  Constant Field Values

### MSG_SUIVRE

    public static final int MSG_SUIVRE

See Also:
  Constant Field Values

### MSG_PRES_SOLDAT

    public static final int MSG_PRES_SOLDAT

See Also:
  Constant Field Values

### MSG_REJOINDRE_POINT

    public static final int MSG_REJOINDRE_POINT

See Also:
  Constant Field Values

### MSG_ENNEMI_HOME

    public static final int MSG_ENNEMI_HOME

See Also:
  Constant Field Values

### MSG_ENNEMI_EX

    public static final int MSG_ENNEMI_EX

See Also:
  Constant Field Values

### MSG_AFFECTE

    public static final int MSG_AFFECTE

See Also:
  Constant Field Values

### NBR_MSG

    public static final int NBR_MSG

See Also:
  Constant Field Values

### MSG_STR

    public static java.lang.String[] MSG_STR

### sender

    public AgentAddress sender

### senderX

    public double senderX

### senderY

    public double senderY

### type

    public int type

### msgId

    public int msgId

### arg1

    public double arg1

### arg2

    public double arg2

Constructor Detail

### GGG_Msg

    public GGG_Msg()

### GGG_Msg

    public GGG_Msg(WarbotMessage wm)

### GGG_Msg

    public GGG_Msg(AgentAddress dest,
                   int msgRole,
                   int msgGroupe,
                   int id,
                   double msgArg1,
                   double msgArg2,
                   int msgType)

Method Detail

### send

    public void send(Brain wb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.